# Luxsci.Alias

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**action** | **String** | What to do with email to this alias. This must be one of “email”, “bounce”, or “delete”. | [optional] 
**bounce** | **String** | For aliases whose action is “bounce”, this is the bounce message. | [optional] 
**created** | **String** | DATETIME. When the email alias was created. Format: “YYYY-MM-DD HH:MM:SS” in GMT. Some types of aliases may not have a creation time recorded (as may aliases created before creation times started to be tracked). These will returna created value of “0000-00-00 00:00:00”. | [optional] 
**dest** | **String** | Email List. For aliases whose action is “email”, this is the comma-delimited list of destination email addresses | [optional] 
**distributionListGroup** | **String** | For aliases whose type is “distribution”, this is the name of the WebAide Group. | [optional] 
**domain** | **String** | Domain name (e.g. for alias “john@sample.com”, this would be “sample.com”) | [optional] 
**msyncUsers** | **Number** | Number of users in the domain with licenses for MobileSync. | [optional] 
**securelineUsers** | **Number** | Number of users in the domain with licenses for SecureLine. | [optional] 
**status** | **String** | This will be “enabled” for aliases that are “on” and “disabled” for ones that exist but which are “off”. | [optional] 
**type** | **String** | The source or kind of alias. This would be one of: - Catchall – domain catchall - Forward – a user’s email forwarding rule - Alias – a regular email alias - distribution – A WebAide Group distribution list&#x27; | [optional] 
**user** | **String** | String User part of alias address (e.g. for alias “john@sample. com”, this would be “john”). For catchall aliases, this is empty or null. | [optional] 
**users** | **Number** | Number of users in this domain | [optional] 

<a name="ActionEnum"></a>
## Enum: ActionEnum

* `email` (value: `"email"`)
* `bounce` (value: `"bounce"`)
* `_delete` (value: `"delete"`)


<a name="StatusEnum"></a>
## Enum: StatusEnum

* `enabled` (value: `"enabled"`)
* `disabled` (value: `"disabled"`)


<a name="TypeEnum"></a>
## Enum: TypeEnum

* `catchall` (value: `"Catchall"`)
* `forward` (value: `"Forward"`)
* `alias` (value: `"Alias"`)
* `distribution` (value: `"distribution"`)

