# Luxsci.UpdateContactRequestBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**email** | **String** | Change email address of the contact | [optional] 
**format** | **String** | Which format this contact should receive the email  HTML &#x3D; Will receive HTML version of the email   TEXT &#x3D; WIll receive simple text version&#x27;  | [optional] [default to &#x27;HTML&#x27;]
**isConfirmed** | **Number** | Confirmation status of the contact  0 &#x3D; Add this contact as unconfirmed   1 &#x3D; Add this contact as confirmed&#x27; | [optional] [default to 1]
**isActive** | **Number** | Status of the contact  0 &#x3D; Mark as inactive (will not receive emails)   1 &#x3D; Mark as active&#x27; | [optional] [default to 1]
**bounced** | **Number** | Bounced status of the contact  0 &#x3D; Add as not bounced   1 &#x3D; Add as soft bounced   2 &#x3D; Add as hard bounced&#x27; | [optional] [default to 0]
**isUnsubscribed** | **Number** | Subscription status of the contact  0 &#x3D; Mark as subscribed   1 &#x3D; Mark as unsubscribed&#x27; | [optional] [default to 0]
**isSpam** | **Number** | If this contact has produced a spam complaint  0 &#x3D; Mark as spam   1 &#x3D; Don&#x27;t mark as spam\&quot; | [optional] [default to 0]
**additionalField** | **String** | Add or update details to additional fields.  *Note that you cannot currently update only custom fields in 1 API call – at least one “normal” field must also be included.*  For any date-based fields custom fields, the format needs to be \&quot;ISO 8601\&quot; which is: YYYY-MM-DD.&#x27; | [optional] 

<a name="FormatEnum"></a>
## Enum: FormatEnum

* `HTML` (value: `"HTML"`)
* `TEXT` (value: `"TEXT"`)

